Classes | UGens>Generators>Deterministic

# Impulse : PureUGen : UGen : AbstractFunction : Object

Impulse oscillator.
Source: Osc.sc
See also: Blip

## Description

Outputs non-bandlimited single sample impulses.

## Class Methods

### Impulse.ar(freq: 440, phase: 0, mul: 1, add: 0)

### Impulse.kr(freq: 440, phase: 0, mul: 1, add: 0)

#### Arguments:

freq | Frequency in Hertz.
phase | Phase offset in cycles (0..1).
mul | Output will be multiplied by this value.
add | This value will be added to the output.

#### Discussion:

An Impulse with frequency 0 returns a single impulse.

### Inherited class methods

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### .signalRange

## Examples

    { Impulse.ar(800, 0.0, 0.5, 0) }.play

    { Impulse.ar(XLine.kr(800,100,5), 0.0,  0.5, 0) }.play

modulate phase:

    { Impulse.ar(4, [0, MouseX.kr(0, 1)], 0.2) }.play;

an Impulse with frequency 0 returns a single impulse:

    SynthDef(\imp, { OffsetOut.ar(0, Impulse.ar(0)); FreeSelf.kr(Impulse.kr(0)); }).add;
    fork { (1 / (1..60).scramble).do { |dt| Synth.grain(\imp);  dt.wait } };

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/Impulse.schelp
link::Classes/Impulse::